import { Injectable } from "@angular/core";
import { Http, Response } from "@angular/http";

import * as wjcCore from "@grapecity/wijmo";
import * as wjcOdata from "@grapecity/wijmo.odata";

@Injectable({
	providedIn: "root"
})
export class DataService {
	url = "https://services.odata.org/Northwind/Northwind.svc";
	constructor(private http: Http) {}

	getCategories() {
		return this.http.get("https://api.myjson.com/bins/18p03b");
		// return new wjcOdata.ODataCollectionView(this.url, "Categories", {
		// 	fields: ["CategoryID", "CategoryName", "Description"],
		// 	sortOnServer: false,
		// 	loaded: function(s, e) {
		// 		// adding dummy dates
		// 		s.items.forEach(item => {
		// 			item.CategoryDate = new Date(
		// 				2019,
		// 				6,
		// 				10,
		// 				Math.random() * 23,
		// 				Math.random() * 60,
		// 				Math.random() * 60
		// 			);
		// 		});
		// 		console.log(JSON.stringify(s.items));
		// 	}
		// });
	}

	getProducts() {
		return this.http.get("https://api.myjson.com/bins/1130if");
	}
}
